#ifndef _DISPLAY_
#define _DISPLAY_

#define SHADER_DEBUG

#include <stdio.h>
#include <stdlib.h>
#include <GL/glew.h>
//#include <gl3.h>
#include <SDL.h>

#define DEFAULT_WINDOW_WIDTH 1200
#define DEFAULT_WINDOW_HEIGHT 800

typedef struct {
  unsigned int w;
  unsigned int h;
  SDL_Window *window;
  SDL_GLContext context;
} display;

//these are mostly copypasta
//cant be bothered to learn initialization stuff that i will immediately forget
display create_display ();
void clear_display ();
void flip_display (display d);
void destroy_display (display d);
GLuint load_shader (const char* filename, GLenum shader_type);
void exit_on_gl_failure (const char* details);

#endif
