#ifndef _PLAYER_
#define _PLAYER_

#include "utils.h"
#include "display.h"

typedef struct {
  matrix rot;
  matrix proj;
} player;

player init_player (display d);
void forward (player* p, float angle);
void turn_horizontally (player* p, float angle);
void turn_vertically (player* p, float angle);
void tilt (player* p, float angle);

#endif
