#include "events.h"

events init_events () {
  events result;
  result.quit = 0;
  memset (result.key, 0, sizeof (result.key));
  return result;
}

void update_events (events* ev) {
  while (SDL_PollEvent (&ev->handler)) {
    switch (ev->handler.type) {
    case SDL_QUIT:
      ev->quit = 1;
      break;
    case SDL_KEYDOWN:
      ev->key[ev->handler.key.keysym.scancode] = 1;
      break;
    case SDL_KEYUP:
      ev->key[ev->handler.key.keysym.scancode] = 0;
      break;
    }
  }
}
