#include "player.h"

player init_player (display d) {
  player p;
  p.rot = mat_identity;
  p.proj = mat_proj (M_PI / 3.0f, ((float) d.w) / ((float) d.h), 1.0f, 400.0f);
  return p;
}

void forward (player* p, float d) {
  mat_rotate_xy (&p->rot, -d);
}

void turn_horizontally (player* p, float angle) {
  mat_rotate_yt (&p->rot, angle);
}

void turn_vertically (player* p, float angle) {
  mat_rotate_xt (&p->rot, angle);
}

void tilt (player* p, float angle) {
  mat_rotate_zt (&p->rot, angle);
}
